IDataSet (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, interface: IDataSet

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Interface IDataSet

All Superinterfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`, `IDataSetUpdatable`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`

All Known Implementing Classes:
  `DataSet`

public interface IDataSet extends IDataSetUpdatable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDataSetKind(ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind dataSetKind)`
  `void`
  `setDataSetType(String dataSetTypeCode)`
  Set the data set type.
  `void`
  `setMeasuredData(boolean measuredData)`
  Set whether the data is measured or not.
  `void`
  `setSpeedHint(int speedHint)`
  Sets the speed hint for the data set.

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable

  `getAllPropertyCodes, getChildrenDataSets, getContainedDataSetCodes, getContainerDataSet, getContainerDataSets, getDataSetCode, getDataSetKind, getDataSetType, getDataSetTypeWithPropertyTypes, getExperiment, getExternalCode, getExternalDataManagementSystem, getOrderInContainer, getParentDatasets, getPropertyValue, getSample, getSpeedHint, isContainedDataSet, isContainerDataSet, isLinkDataSet, isMeasuredData, isNoFileDataSet, isPostRegistered`

  ### Methods inherited from interface ch.systemsx.cisd.etlserver.registrator.api.v2.IDataSetUpdatable

  `setContainedDataSetCodes, setExperiment, setExternalCode, setExternalDataManagementSystem, setParentDatasets, setPropertyValue, setSample`

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent

  `getEntityId`

- ## Method Details

  - ### setMeasuredData

    void setMeasuredData(boolean measuredData)
    Set whether the data is measured or not.

  - ### setDataSetType

    void setDataSetType(String dataSetTypeCode)
    Set the data set type.

  - ### setDataSetKind

    void setDataSetKind(ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind dataSetKind)

  - ### setSpeedHint

    void setSpeedHint(int speedHint)
    Sets the speed hint for the data set. The speed hint is a negative or positive number with an absolute value less than or equal `Constants.MAX_SPEED`.

    A positive value means that the data set should be stored in a storage with speed >= `speedHint`. A negative value means that the data set should be stored in a storage with speed <= `abs(speedHint)`. The speed hint might be ignored.

    If no speed hint has been set the default value `Constants.DEFAULT_SPEED_HINT` is assumed.

    This property is undefined for container data sets.